/v1/company-search

​

Search and complete a company

Body·
required
application/json
  • chamber_of_commerce_number
    Type: string
  • company
    Type: object ·
  • request_type
    Type: number Format: int32
Responses
  • application/json
  • application/json
Request Example for post/v1/company-search
curl https://api.test.24idcheck.com/v1/v1/company-search \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Basic username:password' \
  --data '{
  "request_type": 1,
  "chamber_of_commerce_number": "",
  "company": {
    "name": "",
    "address": {
      "street": "",
      "house_number": "",
      "house_number_extension": "",
      "zip_code": "",
      "city": "",
      "country": "",
      "address_line_1": "",
      "address_line_2": "",
      "state": ""
    },
    "mail_address": "",
    "phone_number": ""
  }
}'
{
  "companies": [
    {
      "status": "active",
      "name": "string",
      "type": "string",
      "address": {
        "street": "string",
        "house_number": "string",
        "house_number_extension": "string",
        "zip_code": "string",
        "city": "string",
        "country": "string",
        "address_line_1": "string",
        "address_line_2": "string",
        "state": "string"
      },
      "post_address": {
        "street": "string",
        "house_number": "string",
        "house_number_extension": "string",
        "zip_code": "string",
        "city": "string",
        "country": "string",
        "address_line_1": "string",
        "address_line_2": "string",
        "state": "string"
      },
      "mail_address": "string",
      "phone_number": "string",
      "industry": "string",
      "industry_description": "string",
      "business_entity_type": "string",
      "incorporation_date": "2026-09-01T09:30:28.773Z",
      "incorporation_year": "string",
      "chamber_of_commerce_number": "string",
      "directors": [
        {
          "name": "string",
          "initials": "string",
          "first_name": "string",
          "last_name_prefix": "string",
          "last_name": "string",
          "chamber_of_commerce_number": "string",
          "company": "Ja",
          "gender": "M",
          "date_of_birth": "2026-09-01",
          "address_of_birth": {
            "street": "string",
            "house_number": "string",
            "house_number_extension": "string",
            "zip_code": "string",
            "city": "string",
            "country": "string",
            "address_line_1": "string",
            "address_line_2": "string",
            "state": "string"
          },
          "risk": {
            "code": "0",
            "description": "string"
          },
          "address_match": {
            "code": "string",
            "message": "string",
            "last_updated": "2026-09-01T09:30:28.773Z",
            "address": {
              "street": "string",
              "house_number": "string",
              "house_number_extension": "string",
              "zip_code": "string",
              "city": "string",
              "country": "string",
              "address_line_1": "string",
              "address_line_2": "string",
              "state": "string"
            }
          },
          "function_date": "2026-09-01",
          "authority": "string"
        }
      ],
      "parents": [
        {
          "name": "string",
          "shareholding_percentage": 1,
          "start_date": "2026-09-01",
          "address": {
            "street": "string",
            "house_number": "string",
            "house_number_extension": "string",
            "zip_code": "string",
            "city": "string",
            "country": "string",
            "address_line_1": "string",
            "address_line_2": "string",
            "state": "string"
          },
          "mail_address": "string",
          "phone_number": "string",
          "industry": "string",
          "industry_description": "string",
          "business_entity_type": "string",
          "incorporation_year": "string",
          "chamber_of_commerce_number": "string",
          "directors": [
            {
              "name": "string",
              "initials": "string",
              "first_name": "string",
              "last_name_prefix": "string",
              "last_name": "string",
              "chamber_of_commerce_number": "string",
              "company": "Ja",
              "gender": "M",
              "date_of_birth": "2026-09-01",
              "address_of_birth": {
                "street": "string",
                "house_number": "string",
                "house_number_extension": "string",
                "zip_code": "string",
                "city": "string",
                "country": "string",
                "address_line_1": "string",
                "address_line_2": "string",
                "state": "string"
              },
              "risk": {
                "code": "0",
                "description": "string"
              },
              "address_match": {
                "code": "string",
                "message": "string",
                "last_updated": "2026-09-01T09:30:28.773Z",
                "address": {
                  "street": "string",
                  "house_number": "string",
                  "house_number_extension": "string",
                  "zip_code": "string",
                  "city": "string",
                  "country": "string",
                  "address_line_1": "string",
                  "address_line_2": "string",
                  "state": "string"
                }
              },
              "function_date": "2026-09-01",
              "authority": "string"
            }
          ],
          "parents": []
        }
      ],
      "ubo": [
        {
          "name": "string",
          "roles": [
            {
              "id": "string",
              "type": "string",
              "competency": "string",
              "start_date": "2026-09-01T09:30:28.773Z"
            }
          ],
          "tree": {
            "level": 1,
            "id": "string",
            "type": "string",
            "role": "string",
            "name": "string",
            "parents": [
              {
                "level": 1,
                "id": "string",
                "type": "string",
                "role": "string",
                "name": "string",
                "parents": []
              }
            ]
          },
          "person": {
            "initials": "string",
            "first_name": "string",
            "last_name_prefix": "string",
            "last_name": "string",
            "mail_address": "string",
            "gender": "M",
            "date_of_birth": "2026-09-01T09:30:28.773Z",
            "place_of_birth": "string",
            "phone_number": "string"
          },
          "shareholding_percentage": 1
        }
      ],
      "company_balance_sheet": {
        "entries": [
          {}
        ],
        "parent_entries": [
          {}
        ]
      },
      "search_identifier": "string"
    }
  ],
  "used_request_type": 1
}

Input OK

logologo
DocumentationDocumentationAPI DocumentationAPI Documentation
SupportSupportStatusStatus